В Ларагон, когда вы переключаетесь на PHP 8 и получаете доступ к администратору в http://локальный/администраторвы найдете эту ошибку:

ошибка администратора в php 8 laragon

ошибки возникают из-за того, что существующее приложение администратора поддерживается только в PHP 7. Если вы в настоящее время используете PHP 8 сейчас и в будущем, нам необходимо обновить его.


Загрузка последней версии приложения администратора

Перейти к https://www.adminer.org/#downloadи найдите ссылку для скачивания последней версии приложения администратора. Администратор — это однофайловое php-приложение, поэтому вы найдете один php-файл, например adminer-4.8.1.php скачал например.


Обновление существующего администратора до последнего

Перейти к C:\laragon\etc\apps\adminer (или настройте свой путь к каталогу laragon), и вы найдете один файл php index.php. Вы можете удалить или сделать резервную копию этого файла и заменить его на adminer-4.8.1.php и переименовать его в index.php


Доступ к новому администратору

При работающем PHP 8 теперь новое приложение администратора будет доступно по тому же URL-адресу, и вы сможете начать вход в базу данных.

страница входа администратора 4.8.1

согласно администратору 4.6.3 или новее, вы можете войти в базу данных с пустым паролем (ссылка), в отличие от phpMyAdmin. Итак, чтобы использовать администратора, возможно, вам нужно создать нового пользователя-администратора базы данных с паролем через mysql cli или phpmyadmin.

Хорошо, что когда вы вернетесь к PHP 7.4, последняя версия администратора 4.8.1 все еще будет поддерживаться.